Bug 521166 (OpenGTL) - Review Request: OpenGTL - Graphics Transformation Languages
Summary: Review Request: OpenGTL - Graphics Transformation Languages
Keywords:
Status: CLOSED ERRATA
Alias: OpenGTL
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ben Boeckel
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 455500 (view as bug list)
Depends On: 521261
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-04 00:27 UTC by Rex Dieter
Modified: 2018-04-11 10:47 UTC (History)
7 users (show)

Fixed In Version: 0.9.12-3.fc12
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-02-09 05:09:13 UTC
mathstuf: fedora-review+
tibbs: fedora-cvs+


Attachments (Terms of Use)

Description Rex Dieter 2009-09-04 00:27:51 UTC
Spec URL: http://rdieter.fedorapeople.org/rpms/OpenGTL.spec
SRPM URL: http://rdieter.fedorapeople.org/rpms/OpenGTL-0.9.9-1.src.rpm
Description:
OpenGTL provides tools, languages and libraries to create generic
transformations for graphics. These transformations can be used by
different programs, e.g. Krita, Gimp, CinePaint, etc.

Comment 1 Rex Dieter 2009-09-04 00:46:16 UTC
Spec URL: http://rdieter.fedorapeople.org/rpms/OpenGTL.spec
SRPM URL: http://rdieter.fedorapeople.org/rpms/OpenGTL-0.9.9-2.fc11.src.rpm

%changelog
* Thu Sep 03 2009 Rex Dieter <rdieter@fedoraproject.org> - 0.9.9-2
- generate doxygen docs
- ExcludeArch: ppc64 (to match llvm)

scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=1653755

Comment 2 Rex Dieter 2009-09-04 00:54:27 UTC
*** Bug 455500 has been marked as a duplicate of this bug. ***

Comment 3 Rex Dieter 2009-09-04 01:02:09 UTC
checked for latest OpenGTL-0.9.10, but the build aborts with:
  llvm was build with asserts, this is not supported by OpenGTL.
I'll have to find out the details here, and why llvm is built that way on fedora.

Comment 4 Ben Boeckel 2009-09-04 14:32:06 UTC
[XX] MUST: rpmlint must be run on every package. The output should be posted in
the review.

% rpmlint *.rpm
OpenGTL-devel.x86_64: W: no-dependency-on OpenGTL/OpenGTL-libs/libOpenGTL
OpenGTL-devel.x86_64: W: no-documentation
OpenGTL-libs.x86_64: E: arch-dependent-file-in-usr-share /usr/share/OpenGTL/GTLImageIO/Extensions/libRawDC.so
OpenGTL-libs.x86_64: E: arch-dependent-file-in-usr-share /usr/share/OpenGTL/GTLImageIO/Extensions/libPngDC.so
OpenGTL-libs.x86_64: W: no-documentation
5 packages and 0 specfiles checked; 2 errors, 3 warnings.

[OK] MUST: The spec file name must match the base package %{name}, in the
format %{name}.spec unless your package has an exemption.
[XX] MUST: The License field in the package spec file must match the actual
license.

Seems to be LGPLv2+ in headers of sources.

[OK] MUST: The package must meet the  Packaging Guidelines . 
[OK] MUST: The package must be licensed with a Fedora approved license and meet
the  Licensing Guidelines . 
[OK] MUST: The License field in the package spec file must match the actual
license.
[OK] MUST: If (and only if) the source package includes the text of the
license(s) in its own file, then that file, containing the text of the
license(s) for the package must be included in %doc.
[OK] MUST: The spec file must be written in American English.
[OK] MUST: The spec file for the package MUST be legible.
[OK] MUST: The package <b>MUST</b> successfully compile and build into binary
rpms on at least one primary architecture.
[OK] MUST: If the package does not successfully compile, build or work on an
architecture, then those architectures should be listed in the spec in
ExcludeArch. Each architecture listed in ExcludeArch MUST have a bug filed in
bugzilla, describing the reason that the package does not compile/build/work on
that architecture. The bug number MUST be placed in a comment, next to the
corresponding ExcludeArch line.
[OK] MUST: The spec file MUST handle locales properly. This is done by using
the <code>%find_lang</code> macro. Using <code>%{_datadir}/locale/*</code> is
strictly forbidden.
[OK] MUST: Every binary RPM package (or subpackage) which stores shared library
files (not just symlinks) in any of the dynamic linker's default paths, must
call ldconfig in <code>%post</code> and <code>%postun</code>.
[OK] MUST: If the package is designed to be relocatable, the packager must
state this fact in the request for review, along with the rationalization for
relocation of that specific package. Without this, use of Prefix: /usr is
considered a blocker.
[OK] MUST: A package must own all directories that it creates. If it does not
create a directory that it uses, then it should require a package which does
create that directory.
[OK] MUST: A Fedora package must not list a file more than once in the spec
file's&nbsp;%files listings.
[OK] MUST: Permissions on files must be set properly. Executables should be set
with executable permissions, for example. Every <code>%files</code> section
must include a <code>%defattr(...)</code> line.
[OK] MUST: Each package must have a&nbsp;%clean section, which contains
<code>rm -rf&nbsp;%{buildroot}</code> (<a
href="/wiki/Packaging/Guidelines#UsingBuildRootOptFlags"
title="Packaging/Guidelines" class="mw-redirect">or $RPM_BUILD_ROOT</a>).
[OK] MUST: Each package must consistently use macros.
[OK] MUST: The package must contain code, or permissable content.
[OK] MUST: Large documentation files must go in a -doc subpackage. (The
definition of large is left up to the packager's best judgement, but is not
restricted to size. Large can refer to either size or quantity).
[OK] MUST: If a package includes something as&nbsp;%doc, it must not affect the
runtime of the application. To summarize: If it is in&nbsp;%doc, the program
must run properly if it is not present.
[OK] MUST: Header files must be in a -devel package.
[OK] MUST: Static libraries must be in a -static package.
[OK] MUST: Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig'
(for directory ownership and usability).
[OK] MUST: If a package contains library files with a suffix
(e.g.libfoo.so.1.1), then library files that end in .so (without suffix) must
go in a -devel package.
[OK] MUST: In the vast majority of cases, devel packages must require the base
package using a fully versioned dependency: <code>Requires:&nbsp;%{name}
=&nbsp;%{version}-%{release} </code>
[OK] MUST: Packages must NOT contain any .la libtool archives, these must be
removed in the spec if they are built.
[OK] MUST: Packages containing GUI applications must include
a&nbsp;%{name}.desktop file, and that file must be properly installed with
desktop-file-install in the&nbsp;%install section. If you feel that your
packaged GUI application does not need a .desktop file, you must put a comment
in the spec file with your explanation.
[OK] MUST: Packages must not own files or directories already owned by other
packages. The rule of thumb here is that the first package to be installed
should own the files or directories that other packages may rely upon. This
means, for example, that no package in Fedora should ever share ownership with
any of the files or directories owned by the <code>filesystem</code> or
<code>man</code> package. If you feel that you have a good reason to own a file
or directory that another package owns, then please present that at package
review time.
[OK] MUST: At the beginning of <code>%install</code>, each package MUST run
<code>rm -rf&nbsp;%{buildroot}</code> (<a
href="/wiki/Packaging/Guidelines#UsingBuildRootOptFlags"
title="Packaging/Guidelines" class="mw-redirect">or $RPM_BUILD_ROOT</a>).
[OK] MUST: All filenames in rpm packages must be valid UTF-8.
[OK] SHOULD: If the source package does not include license text(s) as a
separate file from upstream, the packager SHOULD query upstream to include it.
[OK] SHOULD: The description and summary sections in the package spec file
should contain translations for supported Non-English languages, if available.
[OK] SHOULD: The reviewer should test that the package builds in mock.
[OK] SHOULD: The package should compile and build into binary rpms on all
supported architectures.
[OK] SHOULD: The reviewer should test that the package functions as described.
A package should not segfault instead of running, for example.
[OK] SHOULD: If scriptlets are used, those scriptlets must be sane. This is
vague, and left up to the reviewers judgement to determine sanity.
[OK] SHOULD: Usually, subpackages other than devel should require the base
package using a fully versioned dependency.
[OK] SHOULD: The placement of pkgconfig(.pc) files depends on their usecase,
and this is usually for development purposes, so should be placed in a -devel
pkg.  A reasonable exception is that the main pkg itself is a devel tool not
installed in a user runtime, e.g. gcc or gdb.
[OK] SHOULD: If the package has file dependencies outside of /etc, /bin, /sbin,
/usr/bin, or /usr/sbin consider requiring the package which provides the file
instead of the file itself.

Other:

Doxygen is built, but I don't see any docs in %files. Is it not installed?

Comment 5 Rex Dieter 2009-09-04 14:41:28 UTC
docs are in devel:  %doc html/*

I'll check about the arch'd stuff under %%_datadir (eww).

Comment 6 Rex Dieter 2009-09-04 15:51:48 UTC
OK, initial update addressing the fhs issue, and a couple other cosmetic ones:
SRPM URL: http://rdieter.fedorapeople.org/rpms/OpenGTL-0.9.10-1.fc11.src.rpm

Not buildable on fedora atm, due to llvm's --enable-assertions , see bug #521261

Comment 7 Michel Alexandre Salim 2009-09-09 03:02:49 UTC
Cc:ing myself on this bug, since this affects how fast LLVM 2.6 can be pushed to F-11.

There is an upstream task here:

http://bugs.opengtl.org/index.php?do=details&task_id=33

but no completion ETA yet (it's scheduled for 0.9.11).

I'm testing revision 7 of our LLVM 2.5 package (-6 was Rawhide-only) that I will try and push straight to F-10 and F-11 stable so OpenGTL can be entered soon.

Actually, what is our policy on a package that is not Rawhide-buildable? What happens if F-12 comes out before OpenGTL 0.9.11? The Clang Static Analyzer alone argues in favor of LLVM 2.6.

Comment 8 Ben Boeckel 2009-10-06 16:00:37 UTC
Any update on this?

Comment 9 Rex Dieter 2009-10-06 16:13:08 UTC
Waiting on OpenGTL-0.9.11 release to fix llvm-2.6 issue, tracked here:
http://bugs.opengtl.org/index.php?do=details&task_id=33

Comment 10 Matěj Cepl 2009-10-09 12:06:32 UTC
Rex did you mean that this bug DEPENDS on bug 473302, should it rather BLOCK it?

Comment 11 Rex Dieter 2009-10-09 12:11:29 UTC
Yeah, but it can be dropped now, we're not planning on shipping koffice2 in F-12, so the need for this isn't as urgent (still would be nice however).

Comment 12 Matthew Woehlke 2009-10-09 15:51:07 UTC
...meanwhile it's harder to do Krita2 /development/ without OpenGTL. Until 0.9.10 became required (which doesn't build with the current llvm, as we all know), I had been relying on home-build packages. Right now I have no OpenGTL at all :-(, which means a whole bunch of features missing from Krita.

So while I agree with Rex it "isn't as urgent", it would still be *very* nice.

Comment 13 Rex Dieter 2009-11-04 06:20:18 UTC
SPEC: http://rdieter.fedorapeople.org/rpms/OpenGTL/OpenGTL.spec
SRPM: http://rdieter.fedorapeople.org/rpms/OpenGTL/OpenGTL-0.9.11-1.fc12.src.rpm

f12 scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=1787446

%changelog
* Wed Nov 04 2009 Rex Dieter <rdieter@fedoraproject.org> - 0.9.11-1
- OpenGTL-0.9.11

(this release supports llvm-2.6, woo!)

Comment 14 Rex Dieter 2009-11-04 06:28:34 UTC
Well, builds on x86_64, ppc (at least), not so much, 

CMakeLists reports:
  llvm was build with PIC enabled, this is not surported on 32bits.

Added
ExcludeArch: ppc
for now, until I can look closer at that.

New scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=1787453

Comment 16 Rex Dieter 2009-11-23 15:34:38 UTC
SPEC: http://rdieter.fedorapeople.org/rpms/OpenGTL/OpenGTL.spec
SRPM:
http://rdieter.fedorapeople.org/rpms/OpenGTL/OpenGTL-0.9.12-1.fc12.src.rpm

f12 scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=1825143

%changelog
* Mon Nov 23 2009 Rex Dieter <rdieter@fedoraproject.org> - 0.9.12-2
- BR: ImageMagick ghostscript texlive-latex texlive-dvips (docs)

Comment 17 Matthew Woehlke 2009-12-22 21:39:12 UTC
Any idea when this will hit F12?

Note: I had to change the setup line from 'opengtl' to 'OpenGTL-%{version}' to build the .spec from comment #16.

Comment 18 Rex Dieter 2010-01-11 00:32:16 UTC
Ben, ping?  anything else to do here?

Comment 19 Rex Dieter 2010-01-22 18:51:30 UTC
Ben, pingy pingy... it's been a couple of months since your last comment here, will you be able to finish this review, or should we be looking for someone else?

Comment 20 Ben Boeckel 2010-01-24 02:48:00 UTC
Sorry for the delay, winter break was less tech-oriented than I had planned.

Just a small issue with some permissions. Does installdox need installed itself?

% rpmlint /var/lib/mock/fedora-12-x86_64/result/*.rpm                                        -
OpenGTL-devel.x86_64: W: spurious-executable-perm /usr/share/doc/OpenGTL-devel-0.9.12/installdox
OpenGTL-devel.x86_64: W: doc-file-dependency /usr/share/doc/OpenGTL-devel-0.9.12/installdox /usr/bin/perl
OpenGTL-libs.x86_64: W: no-documentation
5 packages and 0 specfiles checked; 0 errors, 3 warnings.

Other than that, looks good.

Comment 21 Rex Dieter 2010-01-24 21:26:47 UTC
Looks like installdox doesn't serve much purpose packaging-wise, I'll omit it.

Comment 22 Rex Dieter 2010-01-24 21:33:44 UTC
SPEC: http://rdieter.fedorapeople.org/rpms/OpenGTL/OpenGTL.spec

%changelog
* Sun Jan 24 2010 Rex Dieter <rdieter@fedoraproject.org> - 0.9.12-3
- omit html/installdox

Comment 23 Ben Boeckel 2010-01-25 14:25:49 UTC
Looks good to me. Approved.

Comment 24 Ben Boeckel 2010-01-25 14:28:07 UTC
Also mentioned on IRC: %setup needs some tweaking and the rm needs to go to %install, but not a review blocker.

Comment 25 Rex Dieter 2010-01-25 14:34:44 UTC
New Package CVS Request
=======================
Package Name: OpenGTL
Short Description: Graphics Transformation Languages
Owners: rdieter
Branches: F-12
InitialCC:

Comment 26 Jason Tibbitts 2010-01-27 04:49:59 UTC
CVS done (by process-cvs-requests.py).

Comment 27 Fedora Update System 2010-01-27 12:26:16 UTC
OpenGTL-0.9.12-3.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/OpenGTL-0.9.12-3.fc12

Comment 28 Fedora Update System 2010-01-28 00:58:54 UTC
OpenGTL-0.9.12-3.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update OpenGTL'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2010-1155

Comment 29 Fedora Update System 2010-02-09 05:09:06 UTC
OpenGTL-0.9.12-3.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.